#!/usr/bin/env python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

from pathlib import Path
from typing import Any, Dict

from .bakery_api.v1 import FileGenerator, OS, Plugin, register

def get_spit_defender_state_files(conf: Dict[str, Any]) -> FileGenerator:
    yield Plugin(base_os=OS.WINDOWS,
                 source=Path("spit_defender_state.ps1"))

register.bakery_plugin(
    name="spit_defender_state",
    files_function=get_spit_defender_state_files,
)
