#!/usr/bin/env python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

from cmk.gui.i18n import _
from cmk.gui.plugins.wato import (
    HostRulespec,
    rulespec_registry,
    CheckParameterRulespecWithItem,
    RulespecGroupCheckParametersApplications,
)
from cmk.gui.valuespec import (
    DropdownChoice,
)
from cmk.gui.cee.plugins.wato.agent_bakery.rulespecs.utils import RulespecGroupMonitoringAgentsAgentPlugins

def _valuespec_agent_config_spit_defender_state():
    return DropdownChoice(
        title = _("Windows Defender State"),
        help = _("This will deploy the agent plugin <tt>spit_defender_state.ps1</tt> for monitoring the Windows Defender."),
        choices = [
            ( True, _("Deploy plugin for Windows Defender") ),
            ( None, _("Do not deploy plugin for Windows Defender") ),
        ]
    )

rulespec_registry.register(
    HostRulespec(
        group=RulespecGroupMonitoringAgentsAgentPlugins,
        name="agent_config:spit_defender_state",
        valuespec=_valuespec_agent_config_spit_defender_state,
    ))